if not mods["Krastorio2"] then
	do return end
end
--Krastorio2/prototypes/vanilla-changes/mandatory/rebalance-nuclear-power.lua

local reactor_mk2 = data.raw["reactor"]["advanced-electric-nuclear-reactor-2"]
reactor_mk2.max_health = 2 * 1000
reactor_mk2.heat_buffer.max_temperature = 2000 -- Advanced Electric default is 1200 for some reason?
reactor_mk2.consumption = (2 * 250).."MW"
reactor_mk2.energy_source.effectivity = 1
reactor_mk2.heat_buffer.specific_heat = "50MJ" -- matches K2, no change
reactor_mk2.heat_buffer.max_transfer = "50GW" --(2*50).."GW" ok but why tho
reactor_mk2.neighbour_bonus = 0.25

local heat_pipe_mk2 = data.raw["heat-pipe"]["advanced-electric-heat-pipe-2"]
heat_pipe_mk2.max_health = 2 * 100
heat_pipe_mk2.minimum_glow_temperature = 900
heat_pipe_mk2.heat_buffer.max_temperature = 2000 -- Advanced Electric default is 1200 for some reason?
heat_pipe_mk2.heat_buffer.specific_heat = "6MJ"
heat_pipe_mk2.heat_buffer.max_transfer = "6GW"

local steam_TK2 = 415
local steam_T0 = data.raw.fluid.steam.default_temperature
local steam_dt = steam_TK2 - steam_T0
local newtemp = steam_T0 + 2 * steam_dt

local heat_exchanger_mk2 = data.raw["boiler"]["advanced-electric-heat-exchanger-2"]
heat_exchanger_mk2.max_health = 2 * 250
heat_exchanger_mk2.target_temperature = newtemp
heat_exchanger_mk2.energy_consumption = (2*50).."MW"
heat_exchanger_mk2.energy_source.specific_heat = "5MJ"
heat_exchanger_mk2.energy_source.max_transfer = "10GW"
heat_exchanger_mk2.energy_source.min_working_temperature = newtemp


--turbines out of order compared to prototype definitions
local turbine = data.raw["generator"]["steam-turbine"]
local primary_load_turbine = data.raw["generator"]["advanced-electric-primary-steam-turbine-1"]
primary_load_turbine.max_health = turbine.max_health
primary_load_turbine.maximum_temperature = turbine.maximum_temperature
primary_load_turbine.effectivity = turbine.effectivity
primary_load_turbine.fluid_usage_per_tick = turbine.fluid_usage_per_tick
primary_load_turbine.fluid_box.minimum_temperature = turbine.fluid_box.minimum_temperature
primary_load_turbine.max_power_output = primary_load_turbine.max_power_output



local steam_turbine_mk2 = data.raw["generator"]["advanced-electric-steam-turbine-2"]
steam_turbine_mk2.max_health = 2 * 300
steam_turbine_mk2.maximum_temperature = newtemp
steam_turbine_mk2.effectivity = 1
steam_turbine_mk2.fluid_usage_per_tick = 125 / 60
steam_turbine_mk2.fluid_box.minimum_temperature = 100
steam_turbine_mk2.max_power_output = (5 * 10).."MW"

local primary_load_steam_turbine_mk2 = data.raw["generator"]["advanced-electric-primary-steam-turbine-2"]
primary_load_steam_turbine_mk2.max_health = steam_turbine_mk2.max_health
primary_load_steam_turbine_mk2.maximum_temperature = steam_turbine_mk2.maximum_temperature
primary_load_steam_turbine_mk2.effectivity = steam_turbine_mk2.effectivity
primary_load_steam_turbine_mk2.fluid_usage_per_tick = steam_turbine_mk2.fluid_usage_per_tick
primary_load_steam_turbine_mk2.fluid_box.minimum_temperature = steam_turbine_mk2.fluid_box.minimum_temperature
primary_load_steam_turbine_mk2.max_power_output = steam_turbine_mk2.max_power_output



